Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232618 - Review Request: perl-XML-Filter-BufferText - Filter to put all characters() in one event
Summary: Review Request: perl-XML-Filter-BufferText - Filter to put all characters() i...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 232619 232622
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:24 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 10:18:02 UTC
ville.skytta: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:24:55 UTC
Spec URL: http://home.bawue.de/~ixs/perl-XML-Filter-BufferText/perl-XML-Filter-BufferText.spec
SRPM URL: http://home.bawue.de/~ixs/perl-XML-Filter-BufferText/perl-XML-Filter-BufferText-1.01-1.src.rpm
Description:
This is a very simple filter. One common cause of grief (and programmer
error) is that XML parsers aren't required to provide character events in
one chunk. They can, but are not forced to, and most don't. This filter
does the trivial but oft-repeated task of putting all characters into a
single event.

Comment 1 Ville Skyttä 2007-03-16 21:39:39 UTC
* Wrong permissions on installed files, there's no need for these to be
executable (please use rpmlint before submitting to save reviewer time):

E: perl-XML-Filter-BufferText script-without-shebang
/usr/lib/perl5/vendor_perl/5.8.8/XML/Filter/BufferText.pm
W: perl-XML-Filter-BufferText spurious-executable-perm
/usr/share/doc/perl-XML-Filter-BufferText-1.01/README
W: perl-XML-Filter-BufferText spurious-executable-perm
/usr/share/doc/perl-XML-Filter-BufferText-1.01/Changes

* Use "BuildRequires: perl(ExtUtils::MakeMaker)" - that'll work for all distro
versions without need to do %if %fedora conditionals.

* Dependency on perl(XML::SAX::Base) missing - the auto dep generator doesn't
know how to extract dependencies from "use base qw(...)"

Comment 2 Andreas Thienemann 2007-03-17 09:47:43 UTC
http://home.bawue.de/~ixs/perl-XML-Filter-BufferText/perl-XML-Filter-BufferText-1.01-2.src.rpm

New package adding the Requires.
About the rpmlint warnings and errors. I don't know when you pulled the srpm,
there was a wrong one online for a few minutes as I pulled the wrong revision
from the local RCS. Sorry for that. The rpmline failures were already fixed.

Please check again.

Comment 3 Ville Skyttä 2007-03-17 10:14:37 UTC
Looks good, approved.

Comment 4 Andreas Thienemann 2007-03-17 11:07:38 UTC
New Package CVS Request
=======================
Package Name: perl-XML-Filter-BufferText
Short Description: Filter to put all characters() in one event
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 5 Andreas Thienemann 2007-03-23 10:18:02 UTC
Thanks for the review. Package has been built for FC-5, FC-6 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.